Creating a payment link
The method creates a temporary link to connect the user. The user must follow the link and give permission to spend coins from his address. After that, you will receive a webhook with the status and payment link ID
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request to create a link to connect the user
merchantIdstringRequiredExample:
Merchant ID in the system
386fc09d-b4b8-4081-ae99-bf9710e80239clientIdstringRequiredExample:
Client ID in the merchant system
merchant_client_unique_idclientEmailstringRequiredExample:
Client's mail in the merchant's system
client-email@example.comclientNamestringOptionalExample:
Client name in the merchant system
John DoereturnUrlstringOptionalExample:
URL to be used as "Return to Store" link
https://merchant.domain/webhookUrlstringOptionalExample:
URL to notify about connecting or denying a client's connection request
https://merchant.domain/webhooks/subscriptionResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/recurrents/create-subscriber-billing-link
POST /api-gateway/recurrents/create-subscriber-billing-link HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 257
{
"merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239",
"clientId": "merchant_client_unique_id",
"clientEmail": "client-email@example.com",
"clientName": "John Doe",
"returnUrl": "https://merchant.domain/",
"webhookUrl": "https://merchant.domain/webhooks/subscription"
}200Success
{
"success": true,
"response": {
"merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239",
"clientId": "merchant_client_unique_id",
"clientEmail": "client-email@example.com",
"clientName": "John Doe",
"returnUrl": "https://merchant.domain/",
"webhookUrl": "https://merchant.domain/webhooks/subscription",
"link": "https://subscriptions.domain/1db0ec64-8a2e-4bec-810a-be4bde21c412"
}
}Last updated